Bug 585235 - File chooser weirdness with folder selection
File chooser weirdness with folder selection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 10:03 EDT by Máirín Duffy
Modified: 2011-06-27 11:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the file name / target folder pattern (23.36 KB, image/png)
2010-04-23 10:03 EDT, Máirín Duffy
no flags Details
screenshot of the problematic file chooser. (42.33 KB, image/png)
2010-04-23 10:05 EDT, Máirín Duffy
no flags Details

  None (edit)
Description Máirín Duffy 2010-04-23 10:03:12 EDT
Created attachment 408616 [details]
screenshot showing the file name / target folder pattern

Description of problem:

There's one pattern that some GTK apps follow, where there's a text entry field for a file name, and a dropdown box to select the folder in which the file will be saved. This pattern can be seen in the print dialog if you choose to print-to-file, and it may also be seen in the take-a-screenshot dialog. It may be in others. I have attached a screenshot of the pattern as reference.

This pattern as currently implemented has a few issues that cause a bad user experience. The main user story it effects:

===
I'm printing out a document or image to PDF to file away. I need to file it in a folder that is not listed in the 'Save in folder' dropdown box, so I pick the 'Other ...' item in that dropdown box. A file chooser appears (I've attached a screenshot): it has a 'Location' text entry field at the top, the titlebar says, 'File', and it has an 'Open' button. I browse to the folder I'd like to save the PDF to, and I type the name I'd like to give the PDF file in the 'Location' text entry field (let's say it's ImportantDocument.pdf, in my /home/Documents/Finance folder.)

Then, I hit print. One of two unintended possibilities happens:

1- My file is saved as /home/Documents/Finance/ImportantDocument.pdf/output.pdf

2- (this one happens to me the most) I type in 'ImportantDocument.pdf' in the filename text entry field above the folder dropdown, and hit print. I get an error saying, 'A file with the name ImportantDocument.pdf already exists in the parent directory' or something like that. Now I have to drop out of what I was doing, open up a fresh nautilus window, browse to /home/Documents/Finance, delete the 'ImportantDocument.pdf' folder, and then go back to my print operation and try again.
===

Here are some issues Matthias identified when I showed this problem to him:

1) The titlebar for the file chooser dialog meant to allow the user to choose a *folder* says, 'File'. This should be changed to something like, 'Choose a folder.'

2) By default, the location text entry field is displayed in the dialog which kind of invites the user to enter in a full filename rather than just a folder name. Maybe for file choosers that are launched specifically to only select a folder, this location text entry field should be hidden by default.

3) If I create a folder with a name blahblah.pdf or foofoo.png, it's likely non-intentional. Could the file chooser or the calling application somehow detect this likely mistake and inform the user?

One potential issue I see now looking at the screenshot is that the button in the dialog is, 'Open', but you're not really opening a folder here, you're choosing it. Not sure how addressable that is though.

Thanks!
Comment 1 Máirín Duffy 2010-04-23 10:05:10 EDT
Created attachment 408618 [details]
screenshot of the problematic file chooser.

You can access this file chooser by printing a document, selecting the printer option 'print to file', then selecting 'Other ...' from the 'Save in folder:' dropdown box. Alternatively you can access it by clicking on the 'Other...' item in the 'Save in folder:' dropdown box that is in the dialog that pops up when you take a screenshot.
Comment 2 Bug Zapper 2011-06-02 10:56:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 11:49:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.